com.streambase.liveview.client

## Class TableAdminManager.TableProviderAPIHelper

- java.lang.Object
- - com.streambase.liveview.client.TableAdminManager.TableProviderAPIHelper

- Enclosing interface:
    TableAdminManager

      public static class TableAdminManager.TableProviderAPIHelper
      extends Object

  Utility methods for working with the TableProviderAPI

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableProviderAPIHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MappingType` | `addFilter(MappingType mappingType, String predicateFilter, String formatter)`
    `static ExternalServerConnectionType.Mappings` | `addMapping(ExternalServerConnectionType.Mappings mappings, String selector, String formatter)` This will add a mapping to a Mappings object.
    `static ExternalServerConnectionType.Mappings` | `addMapping(ExternalServerConnectionType.Mappings mappings, String selector, String formatter, boolean ignore)` This will add a mapping to a Mappings object.
    `static ExternalServerConnectionType.Parameters` | `addParameter(ExternalServerConnectionType.Parameters parameters, String key, String value)` This will add a parameter to a Parameters object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableProviderAPIHelper

          public TableProviderAPIHelper()

  - ### Method Detail

    - #### addMapping

          public static ExternalServerConnectionType.Mappings addMapping(ExternalServerConnectionType.Mappings mappings,
                                                                         String selector,
                                                                         String formatter)

      This will add a mapping to a Mappings object. If you pass in null as a mappings object, it will create one for you.
      Parameters:
        `mappings` - Existing mappings, or null to have one created for you.
        `selector` - Selector for the mapping to be added
        `formatter` - Formatter for the mapping to be added
      Returns:
        The mappings object -- either the one you passed in or the new one it created if you passed in null
      Since:
        LiveView 1.6

    - #### addMapping

          public static ExternalServerConnectionType.Mappings addMapping(ExternalServerConnectionType.Mappings mappings,
                                                                         String selector,
                                                                         String formatter,
                                                                         boolean ignore)

      This will add a mapping to a Mappings object. If you pass in null as a mappings object, it will create one for you.
      Parameters:
        `mappings` - Existing mappings, or null to have one created for you.
        `selector` - Selector for the mapping to be added
        `formatter` - Formatter for the mapping to be added
        `ignore` - if true, will not catalog the tables that match this mapping
      Returns:

    - #### addFilter

          public static MappingType addFilter(MappingType mappingType,
                                              String predicateFilter,
                                              String formatter)

    - #### addParameter

          public static ExternalServerConnectionType.Parameters addParameter(ExternalServerConnectionType.Parameters parameters,
                                                                             String key,
                                                                             String value)

      This will add a parameter to a Parameters object. If you pass in null as a parameters object, it will create one for you.
      Parameters:
        `parameters` - Existing parameters, or null to have one created for you.
        `key` - Key of this parameter
        `value` - Value of this parameter
      Returns:
        The parameters object -- either the one you passed in or the new one it created if you passed in null
      Since:
        LiveView 1.6

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.